HTTP API

ECS Query

POST/api/v1/ecs/{index}/query
POST
/api/v1/ecs/{index}/query

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

index*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/api/v1/ecs/string/query" \  -H "Content-Type: application/json" \  -d '{    "where": {      "filters": [        {          "component": "string",          "field": "string",          "op": "eq",          "value": null        }      ],      "has_all": [        "string"      ],      "has_any": [        "string"      ],      "has_none": [        "string"      ]    }  }'
{  "cursor": "string",  "entities": [    {      "archetype_hash": "string",      "component_versions": {        "property1": 0,        "property2": 0      },      "components": {        "property1": null,        "property2": null      },      "created_at": "string",      "entity_id": "string",      "index": "string",      "parent": "string",      "tags": [        "string"      ],      "updated_at": "string",      "version": 0    }  ],  "has_more": true,  "total": 0}
POST/api/v1/ecs/{index}/query/count
POST
/api/v1/ecs/{index}/query/count

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

index*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Entity query specification

Response Body

application/json

curl -X POST "https://example.com/api/v1/ecs/string/query/count" \  -H "Content-Type: application/json" \  -d '{    "filters": [      {        "component": "string",        "field": "string",        "op": "eq",        "value": null      }    ],    "has_all": [      "string"    ],    "has_any": [      "string"    ],    "has_none": [      "string"    ]  }'
{  "count": 0}

On this page